using System;

internal sealed class Delegate829 : MulticastDelegate
{
	public extern int Invoke(ref IntPtr intptr_0);

	public static int smethod_0(ref IntPtr intptr_0, Delegate829 delegate829_1)
	{
		return delegate829_1(ref intptr_0);
	}

	public extern Delegate829(object object_0, IntPtr intptr_0);

	static Delegate829()
	{
		Class10.smethod_13(typeof(Delegate829).TypeHandle);
	}

	internal static Delegate829 delegate829_0;
}
